Skip to main content

Update Lead: AppFolio

PUThttps://api.propexo.com/v1/leads/appfolio/:lead_id
MethodInterface
PATCH /v0/leadsLeads

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    employee_idstring

    The Propexo unique identifier for the employee

    desired_unit_idsstring[]

    An array of the Propexo unit IDs that the lead is interested in

    Possible values: <= 25

    unit_idstring

    The Propexo unique identifier for the unit. If desired_unit_ids is not provided, this will be used as the unit ID. This is inteded to help unify the request payload across all PMSs

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    number_of_additional_occupantsinteger

    The number of additional occupants associated with the lead

    Possible values: >= 0

    desired_num_bathroomsstring

    The desired number of bathrooms

    desired_num_bedroomsinteger

    The desired number of bedrooms

    Possible values: >= 0

    credit_scorestring

    The credit score of the lead

    target_move_in_datestring

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    has_catsboolean

    Whether or not the lead has cats

    has_dogsboolean

    Whether or not the lead has dogs

    has_other_petsboolean

    Whether or not the lead has pets that aren't dogs or cats

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    monthly_income_in_centsinteger

    The monthly income of the lead, in cents

    Possible values: >= 0

    middle_initialstring

    The middle initial of the lead

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the lead

    lead_sourcestring

    The name of the source of the lead

    statusstring

    The status associated with the lead

    Show 4 enum values
    ACTIVECOLDINACTIVEWAITLISTED
    inactive_reasonstring

    The reason the lead is inactive

    Show 10 enum values
    PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHER
    desired_move_in_datestringdeprecated

    Deprecated. Use target_move_in_date instead.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_bathroomsstringdeprecated

    Deprecated. Use desired_num_bathrooms instead.

    desired_bedroomsintegerdeprecated

    Deprecated. Use desired_num_bedrooms instead.

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    employee_idstring

    The Propexo unique identifier for the employee

    desired_unit_idsstring[]
    unit_idstring

    The Propexo unique identifier for the unit. If desired_unit_ids is not provided, this will be used as the unit ID. This is inteded to help unify the request payload across all PMSs

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    number_of_additional_occupantsinteger

    The number of additional occupants associated with the lead

    Possible values: >= 0

    desired_num_bathroomsstring

    The desired number of bathrooms

    desired_num_bedroomsinteger

    The desired number of bedrooms

    Possible values: >= 0

    credit_scorestring

    The credit score of the lead

    target_move_in_datestring

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    has_catsboolean

    Whether or not the lead has cats

    has_dogsboolean

    Whether or not the lead has dogs

    has_other_petsboolean

    Whether or not the lead has pets that aren't dogs or cats

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    monthly_income_in_centsinteger

    The monthly income of the lead, in cents

    Possible values: >= 0

    middle_initialstring

    The middle initial of the lead

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the lead

    lead_sourcestring

    The name of the source of the lead

    statusstring

    The status associated with the lead

    Show 4 enum values
    ACTIVECOLDINACTIVEWAITLISTED
    inactive_reasonstring

    The reason the lead is inactive

    Show 10 enum values
    PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHER
    desired_move_in_datestringdeprecated

    Deprecated. Use target_move_in_date instead.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_bathroomsstringdeprecated

    Deprecated. Use desired_num_bathrooms instead.

    desired_bedroomsintegerdeprecated

    Deprecated. Use desired_num_bedrooms instead.

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/appfolio/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/appfolio/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": "string",
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": "string",
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE"
}
}